<?php


namespace App\RestApi\Form\Requests;


use Freelabois\LaravelQuickstart\Traits\RequestValidator;
use Illuminate\Foundation\Http\FormRequest;

class FieldRequest extends FormRequest
{
    use RequestValidator;

    public array $post_rules = [
        "cam_label" => "required|string|max:100",
        "cam_tipo" => "required|integer|min:1|max:9",
        "cam_opcoes" => "required_if:cam_tipo,2,5,7|array|min:2",
        "cam_opcoes.*.label" => "required|string",
        "cam_opcoes.*.value" => "required|string",
        "cam_justificativa" => "required|boolean",
    ];

    public array $put_rules = [
        "cam_label" => "required|string|max:100",
        "cam_tipo" => "required|integer|min:1|max:9",
        "cam_opcoes" => "required_if:cam_tipo,2,5,7|array|min:2",
        "cam_opcoes.*.label" => "required|string",
        "cam_opcoes.*.value" => "required|string",
        "cam_justificativa" => "required|boolean",
    ];

    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

}
