<?php

namespace App\RestApi\ProductionOrder\Controllers;

use App\Http\Controller;
use App\RestApi\ProductionOrder\Requests\StoreProductionOrderRequest;
use App\RestApi\ProductionOrder\Requests\UpdateProductionOrderRequest;
use Freelabois\LaravelQuickstart\Traits\Crudable;
use Schaffen\ProductionOrder\ProductionOrder\Managers\ProductionOrderManager;
use Schaffen\ProductionOrder\ProductionOrder\Repositories\ProductionOrderRepository;
use Illuminate\Http\Request;

class ProductionOrderController extends Controller
{
    //
    use Crudable;

    public function __construct(
        ProductionOrderManager $manager,
        ProductionOrderRepository $repository
    )
    {
        $this->setup($manager, $repository);
    }

    public function index(Request $request) {
        $filter = $request->all();
        return $this->manager->index($filter);
    }

    public function store(StoreProductionOrderRequest $request)
    {
        return $this->manager->storeOrUpdate($request->all());
    }

    public function update(UpdateProductionOrderRequest $request, $id)
    {
        return $this->manager->update($request->validated(), $id);
    }

    public function show($id) {
        return $this->manager->show($id);
    }
    
    public function changeStatus() {
        return $this->manager->changeProductionOrderStatus($request->all(), $id);
    }
}
