<?php
/**
 * Created for Schaffen IT.
 * User: Thiago Traczykowski
 */

namespace App\RestApi\ServiceOrder\Controllers;


use App\RestApi\ServiceOrder\Resources\ServiceOrderResource;

use Freelabois\LaravelQuickstart\Traits\Crudable;
use Illuminate\Http\Request;
use Schaffen\ServiceOrder\ServiceOrder\Managers\ServiceOrderManager;
use Schaffen\ServiceOrder\ServiceOrder\Repositories\ServiceOrderRepository;


class ServiceOrderPersonController
{
    use Crudable;

   public function __construct(
      ServiceOrderManager $manager,
      ServiceOrderRepository $repository
   )
   {
      $this->setup($manager, $repository);
   }

   public function index(Request $request, $person = null)
   {
      $filters = $request->all();
      $filters = array_merge($filters, ['os_recurso' => $person]);
      return ServiceOrderResource::collection($this->repository->list($filters));
   }
}
